/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sinhro;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author FON
 */
public class Stanje {

    private int kolicina;
    private boolean signal; // FALSE - Povecanje, TRUE - Smanjenje

    public Stanje(int kolicina) {
        this.kolicina = kolicina;
        this.signal = false;
    }

    public synchronized void povecaj(int iznos) {
        if (signal == false) {
            this.kolicina = this.kolicina + iznos;
            System.out.println("Povecano za " + iznos + "; stanje = " + kolicina);
            signal = true;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
            notify();
        }
    }

    public synchronized void smanji(int iznos) {
        if (signal) {
            this.kolicina = this.kolicina - iznos;
            System.out.println("Smanjeno za " + iznos + "; stanje = " + kolicina);
            signal = false;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
            notify();
        }
    }

    public int getKolicina() {
        return kolicina;
    }

}
