/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package serverchat;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;
import komunikacija.NitPrijem;
import komunikacija.NitSlanje;

/**
 *
 * @author FON
 */
public class ServerChat {

    ServerSocket servSocket;
    Socket socket;

    private ServerChat(int port) throws IOException {
        servSocket = new ServerSocket(port);
    }

    private void printPort() {
        System.out.println("Port: " + socket.getPort());
        System.out.println("Local port: " + socket.getLocalPort());
    }

    private void acceptClient() throws IOException {
        System.out.println("Server: Cekam klijenta");
        socket = servSocket.accept();
        System.out.println("Server: Klijent se povezao sa serverom");
    }

    private void chat() throws IOException {
        new NitPrijem(socket).start();
        new NitSlanje(socket).start();
        System.out.println("KRAJ METODE CHAT!!!");
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        ServerChat serverChat = new ServerChat(9090);
        serverChat.acceptClient();
        serverChat.printPort();
        serverChat.chat();
        System.out.println("KRAJ MAIN METODE klase ServerChat");
    }

}
