/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package javaclientchat;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.Scanner;

/**
 *
 * @author FON
 */
public class JavaClientChat {

    Socket socket;
    
    private JavaClientChat(String host, int port) throws IOException {
        socket = new Socket(host, port);
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        JavaClientChat client = new JavaClientChat("127.0.0.1",9001);
        System.out.println("Client: Client connected to server.");
        client.printPort();
        client.chat();
        
    }
    
    private void printPort() {
        System.out.println("Port: " + socket.getPort());
        System.out.println("Local port: " + socket.getLocalPort());
        System.out.println("Address : " + socket.getInetAddress().toString());
        System.out.println("Local address: " + socket.getLocalAddress().toString());
    }

    private void chat() throws IOException {
        String fromServerMsg;
        do{
            //Klijent unosi poruku
            System.out.println("<Client>: ");
            Scanner scanner = new Scanner(System.in);
            String toServerMsg = scanner.nextLine();
            //Posalji poruku
            PrintWriter outSocket = new PrintWriter(socket.getOutputStream(),true);//auto flush
            outSocket.println(toServerMsg);
            //Poslata poruka, cekamo odgovor
            BufferedReader inSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            fromServerMsg = inSocket.readLine();
            System.out.println("<Server>: " + fromServerMsg);
        }while(!fromServerMsg.equalsIgnoreCase("end"));
        socket.close();
    }

    
    
}
