/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.ac.bg.fon.silab.jdbc.example1.domen;

import java.io.Serializable;

/**
 *
 * @author FON
 */
public class CompanyEntity implements Serializable, IDomainEntity{
    private Long id;
    private String name;
    private String address;
    private String vat;
    private String identNumber;
    private CityEntity city;

    public CompanyEntity() {
    }

    public CompanyEntity(String name, String address, String vat, String identNumber, CityEntity city) {
        this.name = name;
        this.address = address;
        this.vat = vat;
        this.identNumber = identNumber;
        this.city = city;
    }

    public CompanyEntity(Long id, String name, String address, String vat, String identNumber, CityEntity city) {
        this.id = id;
        this.name = name;
        this.address = address;
        this.vat = vat;
        this.identNumber = identNumber;
        this.city = city;
    }

    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getVat() {
        return vat;
    }

    public void setVat(String vat) {
        this.vat = vat;
    }

    public String getIdentNumber() {
        return identNumber;
    }

    public void setIdentNumber(String identNumber) {
        this.identNumber = identNumber;
    }

    public CityEntity getCity() {
        return city;
    }

    public void setCity(CityEntity city) {
        this.city = city;
    }

    @Override
    public String toString() {
        return "CompanyEntity{" + "id=" + id + ", name=" + name + ", address=" + address + ", vat=" + vat + ", identNumber=" + identNumber + ", city=" + city + '}';
    }

    @Override
    public String getTableName() {
        return "company";
    }

    @Override
    public String getColumnNamesForInsert() {
        return "name,address,vat,ident_number,code_fk";
    }

    @Override
    public String getColumnValuesForInsert() {                
        return "'"+name+"','"+address+"','"+vat+"','"+identNumber+"',"+getCity().getCode();
    }

    @Override
    public boolean isIdAutoincrement() {
        return true;
    }

    @Override
    public void setAutoincrementId(Long id) {
        setId(id);
    }
    
    
}
