
import java.util.logging.Level;
import java.util.logging.Logger;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author FON
 */
public class Stanje {
    private int kolicina;
    private boolean signal=false;//povecavanje-false, smanjivanje-true

    public Stanje(int kolicina) {
        this.kolicina = kolicina;
    }

    public int getKolicina() {
        return kolicina;
    }

    private void setKolicina(int kolicina) {
        this.kolicina = kolicina;
    }
    
   public synchronized void povecaj(int iznos){
       if(signal==false){
           this.kolicina=this.kolicina+iznos;
           System.out.println("Kolicina je povecana za "+iznos+", stanje je: "+this.kolicina);
           signal=true;
           notify();
           try {
               wait();
           } catch (InterruptedException ex) {
               Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
           }
           notify();
       }
   }
   
   public synchronized void smanji(int iznos){
       if(signal==true){
           this.kolicina=this.kolicina-iznos;
           System.out.println("Kolicina je smanjena za "+iznos+", stanje je: "+this.kolicina);
           signal=false;
           notify();
           try {
               wait();
           } catch (InterruptedException ex) {
               Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
           }
           notify();
       }
   }
}
