/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package clientchat;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.Scanner;
import komunikacija.NitPrijem;
import komunikacija.NitSlanje;

/**
 *
 * @author FON
 */
public class ClientChat {

    Socket socket;

    private ClientChat(String host, int port) throws IOException {
        socket = new Socket(host, port);
        System.out.println("Klijent: Povezao sam se sa serverom");
    }

    private void printPort() {
        System.out.println("Port: " + socket.getPort());
        System.out.println("Local port: " + socket.getLocalPort());
    }

    private void chat() throws IOException {
       new NitPrijem(socket).start();
       new NitSlanje(socket).start();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        ClientChat clientChat = new ClientChat("127.0.0.1", 9090);
        clientChat.printPort();
        clientChat.chat();
    }

}
