/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.ac.bg.fon.silab.gui.example1.components.table.model;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import rs.ac.bg.fon.silab.jdbc.example1.domen.CompanyEntity;

/**
 *
 * @author FON
 */
public class CompanyTableModel extends AbstractTableModel {

    private final List<CompanyEntity> companies;
    private String [] columnNames = new String[]{"ID","Name","Address","Vat","Ident number","City"};

    public CompanyTableModel(List<CompanyEntity> companies) {
        this.companies = companies;
    }

    @Override
    public int getRowCount() {
        //ternarni operator
        return companies == null ? 0 : companies.size();
        //if(companies == null)return 0;
        //return companies.size();
    }

    @Override
    public int getColumnCount() {
        return 6;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        CompanyEntity company = companies.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return company.getId();
            case 1:
                return company.getName();
            case 2:
                return company.getAddress();
            case 3:
                return company.getVat();
            case 4:
                return company.getIdentNumber();
            case 5:
                return company.getCity().getName();
            default:
                return "N/A";
        }
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }

    
}
