/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.modeltabele;

import domen.Kompanija;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author FON
 */
public class ModelTabeleKompanija extends AbstractTableModel{

    List<Kompanija> listaKompanija;

    public ModelTabeleKompanija(List<Kompanija> listaKompanija) {
        this.listaKompanija = listaKompanija;
    }
    
    String [] naziviKolona = {"Kompanija ID","Naziv","Maticni broj","Mesto"};

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column];
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;    
    }
    
    
    
    
    @Override
    public int getRowCount() {
        return listaKompanija.size();
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        
        Kompanija kompanija = listaKompanija.get(rowIndex);
            
        switch (columnIndex){
            
            case 0: return kompanija.getKompanijaID();
            
            case 1: return kompanija.getNaziv();
            
            case 2: return kompanija.getMaticniBroj();
            
            case 3: return kompanija.getMesto();
            
            default: return "NEPOZNATO";
        }
    }

    public void dodajKompaniju(Kompanija kompanija) {        
        listaKompanija.add(kompanija);
        System.out.println("DODAO SAM KOMPANIJU, SADA IH IMA:"+listaKompanija.size());
        fireTableDataChanged();
    }
    
    
    public Kompanija vratuKompaniju(int selektovaniRed){
        
        return listaKompanija.get(selektovaniRed);
    }
    
}
