/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.kompanija.kontrolerKI;

import domen.Kompanija;
import domen.Mesto;
import java.util.List;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import komunikacija.Komunikacija;
import transfer.Operacije;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;
import util.Sesija;

/**
 *
 * @author Korisnik
 */
public class KontrolerKIFrmUnosKompanije {
    
    public void srediFormu(JComboBox jcbMesto, JButton jbtnSacuvaj, JTextField jtxtNaziv, JTextField jtxtMaticniBroj, JTextField jtxtUlica, JTextField jtxtBroj, JButton jbtnIzmeni, JButton jbtnObrisi, JPanel forma){
        try {
            //List<Mesto> lm = Kontroler.getInstance().vratiMesta();
            TransferObjekatZahtev toZahtev=new TransferObjekatZahtev();
            toZahtev.setOperacija(Operacije.VRATI_MESTA);
            Komunikacija.getInstance().posaljiZahtev(toZahtev);
            TransferObjekatOdgovor toOdgovor=Komunikacija.getInstance().procitajOdgovor();
            
            if(toOdgovor.getIzuzetak()!=null){
                throw toOdgovor.getIzuzetak();
            }
            List<Mesto> lm=(List<Mesto>)toOdgovor.getRezultat();
            jcbMesto.removeAllItems();
            for (Mesto m : lm) {
                jcbMesto.addItem(m);
            }
            
            Kompanija k = (Kompanija) Sesija.getInstance().get("izabrana_kompanija");
            if (k != null) {
                // Operacija izmene ili brisanja
                jbtnSacuvaj.setVisible(false);
                jtxtNaziv.setText(k.getNaziv());
                jtxtMaticniBroj.setText(k.getMaticniBroj());
                jtxtUlica.setText(k.getUlica());
                jtxtBroj.setText(k.getBroj());
                jcbMesto.setSelectedItem(k.getMesto());
                Sesija.getInstance().remove("izabrana_kompanija");
            } else {
                // Operacija unosa
                jbtnIzmeni.setVisible(false);
                jbtnObrisi.setVisible(false);
            }
            
            
            
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(forma, ex.getMessage());
        }
    }
    
    public void sacuvajKompaniju(JComboBox jcbMesto, JTextField jtxtNaziv, JTextField jtxtMaticniBroj, JTextField jtxtUlica, JTextField jtxtBroj, JPanel forma){
        try {
            String naziv = jtxtNaziv.getText().trim();
            String maticniBroj = jtxtMaticniBroj.getText().trim();
            String ulica = jtxtUlica.getText().trim();
            String broj = jtxtBroj.getText().trim();
            Mesto mesto = (Mesto) jcbMesto.getSelectedItem();
            // TODO Valudacija
            Kompanija k = new Kompanija(naziv, maticniBroj, ulica, broj, mesto);
            //Kontroler.getInstance().sacuvajKompaniju(k);
            TransferObjekatZahtev toZahtev=new TransferObjekatZahtev();
            toZahtev.setOperacija(Operacije.SACUVAJ_KOMPANIJU);
            toZahtev.setParametar(k);
            Komunikacija.getInstance().posaljiZahtev(toZahtev);
            TransferObjekatOdgovor toOdgovor=(TransferObjekatOdgovor)Komunikacija.getInstance().procitajOdgovor();
            if(toOdgovor.getIzuzetak()==null){
                k=(Kompanija)toOdgovor.getRezultat();
                JOptionPane.showMessageDialog(forma, "Kompanija je sacuvana! ID = " + k.getKompanijaID());
            }else{
                throw toOdgovor.getIzuzetak();
            }
            
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(forma, ex.getMessage());
        }
    }
}
