/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package javaserverchat;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;

/**
 *
 * @author FON
 */
public class JavaServerChat {

    ServerSocket serverSocket;
    Socket socket;
    
    public JavaServerChat(int port) throws IOException {
        serverSocket = new ServerSocket(port);
    }

    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
       JavaServerChat jsc = new JavaServerChat(9001);
       jsc.acceptClient();
       jsc.printPort();
       jsc.chat();
    }

    private void acceptClient() throws IOException {
        System.out.println("Server: waiting for client");
        socket = serverSocket.accept();
        System.out.println("Server: client connected");
    }

    private void printPort() {
        System.out.println("Port: " + socket.getPort());
        System.out.println("Local port: " + socket.getLocalPort());
        System.out.println("Address : " + socket.getInetAddress().toString());
        System.out.println("Local address: " + socket.getLocalAddress().toString());
    }

    private void chat() throws IOException {
        String toClientMsg;
        do{
            BufferedReader inSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String fromClientMsg = inSocket.readLine();
            System.out.println("<Client>: " + fromClientMsg);
            
            System.out.println("<Server>: ");
            Scanner scan = new Scanner(System.in);
            toClientMsg = scan.nextLine();
            
            PrintWriter outSocket = new PrintWriter(socket.getOutputStream());
            outSocket.println(toClientMsg);
            outSocket.flush();
            
        }while(!toClientMsg.equalsIgnoreCase("end"));
        socket.close();
        serverSocket.close();
        
    }
    
}
