/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import transfer.request.RequestObject;
import transfer.response.ResponseObject;
import transfer.util.IOperation;

/**
 *
 * @author FON
 */
public class Server {

    public void start() {
        try {
            ServerSocket serverSocket = new ServerSocket(9009);
            System.out.println("Waiting for client");
            Socket socket = serverSocket.accept();
            System.out.println("Client connected");
            startCommunication(socket);
        } catch (Exception ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }

    private void startCommunication(Socket socket) throws Exception {
        while(true){
            //prihvati zahtev od klijenta
            ObjectInputStream input = new ObjectInputStream(socket.getInputStream());
            RequestObject request = (RequestObject)input.readObject();
            //obradi zahtev
            switch(request.getOperation()){
                case IOperation.GET_ALL_CITIES:
                    break;
                case IOperation.SAVE_COMPANY:
                    break;
                    
            }
            //posalji odgovor
            ResponseObject responseObject = new ResponseObject();
            //fill response object
            ObjectOutputStream output = new ObjectOutputStream(socket.getOutputStream());
            output.writeObject(responseObject);
            output.flush();
        }
    }
    
}
