/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.ac.bg.fon.silab.gui.example1.controller;

import java.beans.Introspector;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.List;
import rs.ac.bg.fon.silab.gui.example1.session.Session;
import rs.ac.bg.fon.silab.jdbc.example1.domen.BillEntity;
import rs.ac.bg.fon.silab.jdbc.example1.domen.CityEntity;
import rs.ac.bg.fon.silab.jdbc.example1.domen.CompanyEntity;
import rs.ac.bg.fon.silab.jdbc.example1.domen.ProductEntity;
import transfer.request.RequestObject;
import transfer.response.ResponseObject;
import transfer.util.IOperation;
import transfer.util.IStatus;

/**
 *
 * @author FON
 */
public class Controller {

    public static List<CityEntity> getAllCities() throws Exception {
        RequestObject request = new RequestObject();
        request.setOperation(IOperation.GET_ALL_CITIES);
        Socket socket = Session.getInstance().getSocket();
        ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        out.writeObject(request);
        out.flush();
        
        //Sacekaj odgovor
        ObjectInputStream in = new ObjectInputStream(socket.getInputStream());
        ResponseObject response = (ResponseObject) in.readObject();
        int code = response.getCode();
        if(code == IStatus.OK){
            return (List<CityEntity>) response.getData();
        }else{
            throw new Exception("Error in communication!");
        }
    }

    public static List<ProductEntity> getAllProducts() throws Exception {
        throw new UnsupportedOperationException();
    }

    public static CompanyEntity saveCompany(CompanyEntity company) throws Exception {
        RequestObject request = new RequestObject();
        request.setOperation(IOperation.SAVE_COMPANY);
        request.setData(company);
        Socket socket = Session.getInstance().getSocket();
        ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        out.writeObject(request);
        out.flush();
        
        //Sacekaj odgovor
        ObjectInputStream in = new ObjectInputStream(socket.getInputStream());
        ResponseObject response = (ResponseObject) in.readObject();
        int code = response.getCode();
        if(code == IStatus.OK){
            return (CompanyEntity) response.getData();
        }else{
            throw new Exception("Error in communication!");
        }
    }

    public static List<CompanyEntity> getAllCompanies() throws Exception {
        throw new UnsupportedOperationException();
    }

    public static CompanyEntity findCompanyByID(Long companyId) throws Exception {
        throw new UnsupportedOperationException();
    }

    public static CityEntity findCityByCode(Long cityCode) throws Exception {
        throw new UnsupportedOperationException();
    }

    public static void saveBill(BillEntity billEntity) throws Exception {
        throw new UnsupportedOperationException();
    }

}
