/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package primer1;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author FON
 */
public class Stanje {

    private double stanje;
    boolean signal;

    public Stanje(double stanje) {
        this.stanje = stanje;
        signal = false;
    }

    public double getStanje() {
        return stanje;
    }

    private void setStanje(double stanje) {
        this.stanje = stanje;
    }

    public synchronized void povecaj(double iznos) {
        if (signal == false) {
            double trenutnoStanje = getStanje();
            trenutnoStanje += iznos;
            setStanje(trenutnoStanje);

            System.out.println("Povecano je za: " + iznos + ", trenutno stanje je: " + getStanje());
            signal = true;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        notify();
    }

    public synchronized void smanji(double iznos) {
        if (signal == true) {
            double trenutnoStanje = getStanje();
            trenutnoStanje -= iznos;
            setStanje(trenutnoStanje);
            System.out.println("Smanjeno je za: " + iznos + ", trenutno stanje je: " + getStanje());
            signal = false;
            notify();
            try {
                wait();
            } catch (InterruptedException ex) {
                Logger.getLogger(Stanje.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        notify();
    }
}
