/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.ac.bg.fon.silab.gui.example1.components.table.model;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import rs.ac.bg.fon.silab.jdbc.example1.domen.CityEntity;

/**
 *
 * @author FON
 */
public class CityTableModel extends AbstractTableModel {

    private final List<CityEntity> cities;
    private String [] columnNames = new String[]{"Code","City"};

    public CityTableModel(List<CityEntity> cities) {
        this.cities = cities;
    }

   

    @Override
    public int getRowCount() {        
        return cities == null ? 0 : cities.size();
    }

    @Override
    public int getColumnCount() {
        return 2;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        CityEntity city = cities.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return city.getCode();
            case 1:
                return city.getName();            
            default:
                return "N/A";
        }
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }

    
}
